package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;

public class RelatorioEmpresaCorridaBean {

	private Integer rutaId;
	private String empresa;
	private String linea;
	private BigDecimal boletos;
	private BigDecimal abonos;
	private Integer kmOnibusProprio;
	private Integer kmOnibusArrendados;
	private Integer kmTotal;
	private Integer pasajerosTransportados;

	public Integer getRutaId() {
		return rutaId;
	}

	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public String getLinea() {
		return linea;
	}

	public void setLinea(String linea) {
		this.linea = linea;
	}

	public BigDecimal getBoletos() {
		return boletos;
	}

	public void setBoletos(BigDecimal boletos) {
		this.boletos = boletos;
	}

	public BigDecimal getAbonos() {
		return abonos;
	}

	public void setAbonos(BigDecimal abonos) {
		this.abonos = abonos;
	}

	public Integer getKmOnibusProprio() {
		return kmOnibusProprio;
	}

	public void setKmOnibusProprio(Integer kmOnibusProprio) {
		this.kmOnibusProprio = kmOnibusProprio;
	}

	public Integer getKmOnibusArrendados() {
		return kmOnibusArrendados;
	}

	public void setKmOnibusArrendados(Integer kmOnibusArrendados) {
		this.kmOnibusArrendados = kmOnibusArrendados;
	}

	public Integer getKmTotal() {
		return kmTotal;
	}

	public void setKmTotal(Integer kmTotal) {
		this.kmTotal = kmTotal;
	}

	public Integer getPasajerosTransportados() {
		return pasajerosTransportados;
	}

	public void setPasajerosTransportados(Integer pasajerosTransportados) {
		this.pasajerosTransportados = pasajerosTransportados;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((rutaId == null) ? 0 : rutaId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioEmpresaCorridaBean other = (RelatorioEmpresaCorridaBean) obj;
		if (rutaId == null) {
			if (other.rutaId != null)
				return false;
		} else if (!rutaId.equals(other.rutaId))
			return false;
		return true;
	}

}
